package push_back_connection;

import connection.*;
import ru.ifmo.is.sm.IEventSink;
import java.io.IOException;

public class PushBackDisconnectedState <AI extends IPushBackConnection>
		extends DisconnectedState<AI> implements IPushBackConnection {
	public PushBackDisconnectedState(AI automaton, IEventSink eventSink, Socket socket) {
		super(automaton, eventSink, socket);
	}

	public void pushBack(int value) throws IOException {
		throw new IOException("Connection is closed (pushBack)");
	}

	public void connect() throws IOException {
		super.connect();
	}
}
